//Цветной графический дисплей 2.8 TFT 320x240 UNO http://iarduino.ru/shop/Displei/cvetnoy-graficheskiy-displey-2-8-tft-320x240-uno-sensornyy.html

#include <tinyFAT.h>                           // подключаем библиотеку tinyFAT
#include <UTFT.h>                              // подключаем библиотеку UTFT
#include <UTFT_tinyFAT.h>                      // подключаем библиотеку UTFT_tinyFAT

UTFT myGLCD(TFT28UNO,A2,A1,A3,A4,A0);          // объявляем объект myGLCD указывая тип дисплея и номера выводов Arduino к которым подключён дисплей: TFT28UNO, RS, WR, CS, RST, SER. Выводы параллельной шины данных не указываются
UTFT_tinyFAT myFiles(&myGLCD);                 // объявляем объект myFiles​ класса библиотеки UTFT_tinyFAT​ с передачей ссылки на объект myGLCD​ класса библиотеки UTFT

void setup(){
   myGLCD.InitLCD();                           // инициируем дисплей
   myGLCD.clrScr();                            // стираем всю информацию с дисплея
   file.initFAT();                             // инициируем работу с SD картой
}

void loop(){
   myFiles.loadBitmap(0,0,320,240,"ia_1.raw"); // выводим на дисплей картинку из файла ia_1.raw
   delay(2000);                                // ждём 2 секунды
   myFiles.loadBitmap(0,0,320,240,"ia_2.raw"); // выводим на дисплей картинку из файла ia_2.raw
   delay(2000);                                // ждём 2 секунды
}

/* ВНИМАНИЕ!!!
   Библиотека tinyFAT поддерживает SD-карты до 2 ГГб отформатированные под файловую систему FAT16 и не поддерживает длинные имена файлов.
   Файлы картинок ia_1.raw и ia_2.raw, лежат в папке image библиотеки UTFT, их необходимо записать в корень SD-карты и установить её в слот на плате дисплея
*/