//Цветной графический дисплей 3.95 TFT 480x320 UNO http://iarduino.ru/shop/Displei/cvetnoy-graficheskiy-displey-3-95-tft-480x320-uno-sensornyy.html

#include <tinyFAT.h>                           // подключаем библиотеку tinyFAT
#include <UTFT.h>                              // подключаем библиотеку UTFT
#include <UTFT_tinyFAT.h>                      // подключаем библиотеку UTFT_tinyFAT

UTFT myGLCD(TFT395UNO,A2,A1,A3,A4,A0);         // объявляем объект myGLCD указывая тип дисплея и номера выводов Arduino к которым подключён дисплей: TFT395UNO, RS, WR, CS, RST, SER. Выводы параллельной шины данных не указываются
UTFT_tinyFAT myFiles(&myGLCD);                 // объявляем объект myFiles​ класса библиотеки UTFT_tinyFAT​ с передачей ссылки на объект myGLCD​ класса библиотеки UTFT

void setup(){
   myGLCD.InitLCD();                           // инициируем дисплей
   myGLCD.clrScr();                            // стираем всю информацию с дисплея
   file.initFAT();                             // инициируем работу с SD картой
}

void loop(){
   myFiles.loadBitmap(0,0,480,320,"ia_3.raw"); // выводим на дисплей картинку из файла ia_3.raw
   delay(2000);                                // ждём 2 секунды
   myFiles.loadBitmap(0,0,480,320,"ia_4.raw"); // выводим на дисплей картинку из файла ia_4.raw
   delay(2000);                                // ждём 2 секунды
}

/* ВНИМАНИЕ!!!
   Библиотека tinyFAT поддерживает SD-карты до 2 ГГб отформатированные под файловую систему FAT16 и не поддерживает длинные имена файлов.
   Файлы картинок ia_3.raw и ia_4.raw, лежат в папке image библиотеки UTFT, их необходимо записать в корень SD-карты и установить её в слот на плате дисплея
*/